(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap2.png", id:"Bitmap2"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1037,473);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,31,31);


(lib.bg = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap2();
	this.instance.setTransform(-15.5,-15.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-15.5,-15.5,31,31);
p.frameBounds = [rect];


(lib.litera29012015203704368 = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("AgGBOQgEgDAAgFIABgEIAAgFIAAgQIgBgQQAAgPgCgaQgDgeAAgNIgKAAQgYAAgNgEQgJgCAAgIQAAgFADgDQADgEAFABIARABIASACIATAAIASgBIAZABIAYACQAFAAADADQADADAAAFQAAAEgDADQgDAEgFAAIgYgCIgZgBIgIAAIADAwQADAdAAASIAAALIABALQAAAIgCAFQgDAHgGAAQgDAAgDgDg");
	this.shape.setTransform(1.5,-0.4);

	// Layer 1
	this.instance = new lib.bg();

	this.addChild(this.instance,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-15.5,-15.5,31,31);
p.frameBounds = [rect];


(lib.litera29012015203702981 = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("AgqBKQgUgJAAgQQAAgFADgDQADgDAEAAQAGAAAEAGQAFAIAFADQAJAGARAAQAPAAAOgHQASgJAAgQQAAgOgPgIQgNgHgRAAQgRAAgMgGQgPgIAAgQQAAgUAVgPQAVgPAUAAQALAAANADQARAFAAAHQAAAJgKAAIgPgCQgKgCgGAAQgPAAgMAIQgMAJAAALQAAAJAQAEQAGABAPABQAZACANAOQANAKAAASQAAAagXAPQgVANgZAAQgUAAgQgHg");
	this.shape.setTransform(0.7,0.1);

	// Layer 1
	this.instance = new lib.bg();

	this.addChild(this.instance,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-15.5,-15.5,31,31);
p.frameBounds = [rect];


(lib.litera29012015203702278 = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("Ag1BRQgEgDAAgFIAAgZIgBgaIACgbQACgUAAgJIgBgRIgBgQQAAgGAEgFQAEgFAHAAIAaACQAOACAIAFQAsAYAAAhQAAAQgPALQgMAKgSAFQAiASAQAUQADADAAAEQAAAFgDADQgDADgFAAQgEAAgDgDQgkgjgpgMIABAqQAAAFgDADQgDADgFAAQgEAAgDgDgAghgvIABANIgCAWIgCATIAFAAIAFAAQAaAAANgHQAGgCAFgFQAFgGAAgEQAAgPgRgNQgNgMgRgCIgQgBg");
	this.shape.setTransform(0.8,-0.4);

	// Layer 1
	this.instance = new lib.bg();

	this.addChild(this.instance,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-15.5,-15.5,31,31);
p.frameBounds = [rect];


(lib.litera29012015203701592 = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("AgsBSQgDgDAAgEIAAgfIACgsQACgeAAgNIAAgPQAAgLACgFQACgJAIABIAKgBIAPgBQASAAARANQATAPAAAVQAAAbgUAOQgSAOgXAAIgNgCIgBA5QAAAEgDADQgDADgEAAQgEAAgDgDgAgQg/IgHAAIgCA/IAMAAQAQAAAMgIQAOgKAAgRQAAgMgNgJQgMgIgMAAIgIABg");
	this.shape.setTransform(0.7,-0.6);

	// Layer 1
	this.instance = new lib.bg();

	this.addChild(this.instance,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-15.5,-15.5,31,31);
p.frameBounds = [rect];


(lib.litera29012015203700203 = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("Ag1BCQgWgUAAgeQgBgjAWgfQAZghAjAAQAjAAASAPQARARABAkQAAAjgVAeQgXAigjAAQgeAAgVgSgAglgjQgRAYAAAbQABAVAPANQAPAMAVAAQAYAAARgaQAPgYAAgbQAAgagLgKQgLgKgaAAQgZAAgSAag");
	this.shape.setTransform(0.7,-0.1);

	// Layer 1
	this.instance = new lib.bg();

	this.addChild(this.instance,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-15.5,-15.5,31,31);
p.frameBounds = [rect];


(lib.litera29012015203658831 = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("AhHBTQgDgDAAgFIABgNIAAgOIABgUIAAgUIAAgTIAAgWIgBgUIgCgUQAAgFAEgEQAFgEAFAAQAGAAAIAMQAbAoAUAbQAZAeAeAcIAAgOIAAgNQAAgtgEgcIgCgLQgDgIAAgEQAAgNAMAAQASABAABFIAAAiIAAAkIgCARQgCAKgKAAQgGAAgHgHQgtgpg2hMIgBAuIAAAbIABAbQAAAdgMAAQgGAAgDgEg");
	this.shape.setTransform(0.7,-0.2);

	// Layer 1
	this.instance = new lib.bg();

	this.addChild(this.instance,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-15.5,-15.5,31,31);
p.frameBounds = [rect];


(lib.litera29012015203658128 = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("ABBBRQgCgGgEgMIgDgSQgFgRgJg5IgcBTIgIAUQgFAIgFAAQgHAAgDgHIgEgLIgEgMQgLgmgIgpIgSBJQgBAKgEAUQgDAJgIgBQgFAAgDgDQgCgDgBgFQABgSAHgbIAShKQAFgYAFgIQAFgFAFgBQAIABADAHQAEAKAFAeQAGAiAMAoQAOgnALgtIAEgQQACgJACgHQAFgHAHgBQAJABAFARQACAHADATQAFAuAKAjIAGASQADAPAAADQAAAFgDADQgEADgEABQgGgBgEgFg");
	this.shape.setTransform(0.7,-0.1);

	// Layer 1
	this.instance = new lib.bg();

	this.addChild(this.instance,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-15.5,-15.5,31,31);
p.frameBounds = [rect];


(lib.litera29012015203656740 = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("AgtBUQgHgFABgMIACgjQACgvAAg8QAAgFADgDQADgDAFAAQAEAAADADQADADAAAFQAAA8gCAwIgCAQIAAAQQAcABApgOIADgBQAEAAAEAEQACADAAAFQAAAHgGADQgMAGgbAEQgVAEgQAAQgLAAgEgDg");
	this.shape.setTransform(0.9,-0.1);

	// Layer 1
	this.instance = new lib.bg();

	this.addChild(this.instance,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-15.5,-15.5,31,31);
p.frameBounds = [rect];


(lib.litera2901201520365655 = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("AgzBSQgDgEAAgFIAChKIABhLQAAgEADgDQADgEAFAAQAFAAADAEQADADAAAEIgCAhIgBAgQAPgNARgVIAegkQADgEAFAAQAEAAADADQAEAEAAAEQAAAHgcAfIgmAnQANAOAaAZIALAJQAGAFAHACQAJADAAAIQAAAEgCADQgDAEgFAAQgQAAgdgdIggggIAAA6QAAALgJAAQgGAAgEgGg");
	this.shape.setTransform(1.6,0.1);

	// Layer 1
	this.instance = new lib.bg();

	this.addChild(this.instance,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-15.5,-15.5,31,31);
p.frameBounds = [rect];


(lib.litera29012015203654681 = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("AguBPQgDgEAAgEQAAgFADgDQADgDAEAAQAIAAAQgDIABgUIgBgSIAAgSQAAgWACgmIgcABQgEAAgEgDQgCgDAAgFQgBgKALgBIAggBQAUAAAgAFQAKABAAAKQgBAFgEADQgCADgFAAIgRgBIgSgDQgCAgAAAaIAAATIABASIgBATIAigBQAFAAADADQADADAAAFQAAAFgDADQgDADgFAAIgSAAIgSABIgTACIgWACQgEAAgDgDg");
	this.shape.setTransform(0.6,-0.1);

	// Layer 1
	this.instance = new lib.bg();

	this.addChild(this.instance,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-15.5,-15.5,31,31);
p.frameBounds = [rect];


(lib.litera29012015203651219 = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("AguBTQgKgKAAgiIAAgQIABgSIgBgEQAAgCACgDIACguIgBgLIgBgNQAAgMALAAQAEAAADADQANgEAMgBQALgCAIAAQAaAAAQAGQAHADAAAHQAAAFgDADQgDAEgEAAIgEgBQgSgFgRAAQgIAAgJACIgXAFIABALIgBApIAtgEIAZgCQAFAAADACQADAEAAAFQAAAHgKABIhJAHIAAAOIgBAOQAAAXAEAEQACADAPAAIASAAIAUgBIAGAAIAGgBQAMAAAAALQAAAJgJACQgLACgfAAQghAAgKgIg");
	this.shape.setTransform(0.9,-0.4);

	// Layer 1
	this.instance = new lib.bg();

	this.addChild(this.instance,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-15.5,-15.5,31,31);
p.frameBounds = [rect];


(lib.litera2901201520364758 = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#000000").s().p("AAlA3IgHgiIgcAGIgbAGQgFAOgOAbQgDAGgGAAQgEAAgDgDQgEgEAAgEQAAgFAQgiQgBgDAAgDQAAgJAKgDQAMgUATgfQAXgpAHABQAIgBADAMIAXBuIAGAQQADAJAAADQAAAFgDADQgDADgEAAQgKAAgIgagAgMAIQAMgEAZgEIgJgog");
	this.shape.setTransform(0.4,-0.1);

	// Layer 1
	this.instance = new lib.bg();

	this.addChild(this.instance,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-15.5,-15.5,31,31);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '33477',
			title: 'Rozwiąż rebusy i ułóż poprawne hasła.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			groupdrags: {		
				1: [1,2,3,4,5,6],
				2: [7,8,9],
				3: [10],
				4: [11,12,13],
				5: [14,15],
				6: [16,17],
				7: [18],
				8: [19,20,21],
				9: [22],
				10: [23,24],
				11: [25,26,27,28],
				12: [29,30,31,32,33],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '1',
				/*drop_3:*/ '1',
				/*drop_4:*/ '1',	
				/*drop_5:*/ '1',	
				/*drop_6:*/ '1',
			
				/*drop_7:*/ '2',	
				/*drop_8:*/ '2',	
				/*drop_9:*/ '2',
			
				/*drop_10:*/ '3',
			
				/*drop_11:*/ '4',		
				/*drop_12:*/ '4',		
				/*drop_13:*/ '4',
				
				/*drop_14:*/ '5',		
				/*drop_15:*/ '5',
				
				/*drop_16:*/ '6',		
				/*drop_17:*/ '6',
				
				/*drop_18:*/ '7',
				
				/*drop_19:*/ '8',	
				/*drop_20:*/ '8',	
				/*drop_21:*/ '8',
				
				/*drop_22:*/ '9',
				
				/*drop_23:*/ '10',	
				/*drop_24:*/ '10',	
				
				/*drop_25:*/ '11',	
				/*drop_26:*/ '11',	
				/*drop_27:*/ '11',	
				/*drop_28:*/ '11',
				
				/*drop_29:*/ '12',	
				/*drop_30:*/ '12',	
				/*drop_31:*/ '12',	
				/*drop_32:*/ '12',	
				/*drop_33:*/ '12',	
				
				
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			endsound: 'ssBrawa', exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drag_28 = new lib.litera29012015203702981();
	this.drag_28.setTransform(171.1,637.3);

	this.drag_24 = new lib.litera29012015203702278();
	this.drag_24.setTransform(245.6,602.6);

	this.drag_6 = new lib.litera2901201520364758();
	this.drag_6.setTransform(245.6,496.6);

	this.drag_17 = new lib.litera29012015203658128();
	this.drag_17.setTransform(208.3,568);

	this.drag_31 = new lib.litera29012015203704368();
	this.drag_31.setTransform(59.5,671.9);

	this.drag_21 = new lib.litera29012015203700203();
	this.drag_21.setTransform(133.9,602.6);

	this.drag_15 = new lib.litera29012015203656740();
	this.drag_15.setTransform(133.9,568);

	this.drag_12 = new lib.litera2901201520365655();
	this.drag_12.setTransform(245.6,531.2);

	this.drag_9 = new lib.litera29012015203651219();
	this.drag_9.setTransform(133.9,531.2);

	this.drag_33 = new lib.litera29012015203704368();
	this.drag_33.setTransform(133.9,671.9);

	this.drag_3 = new lib.litera2901201520364758();
	this.drag_3.setTransform(133.9,496.6);

	this.drag_32 = new lib.litera29012015203704368();
	this.drag_32.setTransform(96.7,671.9);

	this.drag_27 = new lib.litera29012015203702981();
	this.drag_27.setTransform(133.9,637.3);

	this.drag_5 = new lib.litera2901201520364758();
	this.drag_5.setTransform(208.3,496.6);

	this.drag_30 = new lib.litera29012015203704368();
	this.drag_30.setTransform(245.5,637.3);

	this.drag_8 = new lib.litera29012015203651219();
	this.drag_8.setTransform(96.7,531.2);

	this.drag_10 = new lib.litera29012015203654681();
	this.drag_10.setTransform(171.1,531.2);

	this.drag_13 = new lib.litera2901201520365655();
	this.drag_13.setTransform(59.5,568);

	this.drag_4 = new lib.litera2901201520364758();
	this.drag_4.setTransform(171.1,496.6);

	this.drag_23 = new lib.litera29012015203702278();
	this.drag_23.setTransform(208.4,602.6);

	this.drag_2 = new lib.litera2901201520364758();
	this.drag_2.setTransform(96.7,496.6);

	this.drag_29 = new lib.litera29012015203704368();
	this.drag_29.setTransform(208.4,637.3);

	this.drag_7 = new lib.litera29012015203651219();
	this.drag_7.setTransform(59.5,531.2);

	this.drag_18 = new lib.litera29012015203658831();
	this.drag_18.setTransform(245.5,568);

	this.drag_1 = new lib.litera2901201520364758();
	this.drag_1.setTransform(59.5,496.6);

	this.drag_14 = new lib.litera29012015203656740();
	this.drag_14.setTransform(96.7,568);

	this.drag_22 = new lib.litera29012015203701592();
	this.drag_22.setTransform(171.1,602.6);

	this.drag_26 = new lib.litera29012015203702981();
	this.drag_26.setTransform(96.7,637.3);

	this.drag_20 = new lib.litera29012015203700203();
	this.drag_20.setTransform(96.7,602.6);

	this.drag_16 = new lib.litera29012015203658128();
	this.drag_16.setTransform(171.1,568);

	this.drag_25 = new lib.litera29012015203702981();
	this.drag_25.setTransform(59.5,637.3);

	this.drag_19 = new lib.litera29012015203700203();
	this.drag_19.setTransform(59.5,602.6);

	this.drag_11 = new lib.litera2901201520365655();
	this.drag_11.setTransform(208.3,531.2);

	this.drop_28 = new lib.litera29012015203702981();
	this.drop_28.setTransform(1095.7,421.2);

	this.drop_24 = new lib.litera29012015203702278();
	this.drop_24.setTransform(1060.2,421.2);

	this.drop_6 = new lib.litera2901201520364758();
	this.drop_6.setTransform(1024.8,421.2);

	this.drop_17 = new lib.litera29012015203658128();
	this.drop_17.setTransform(989.8,421.2);

	this.drop_32 = new lib.litera29012015203704368();
	this.drop_32.setTransform(949.1,235.3);

	this.drop_21 = new lib.litera29012015203700203();
	this.drop_21.setTransform(914.1,235.3);

	this.drop_15 = new lib.litera29012015203656740();
	this.drop_15.setTransform(878.2,235.3);

	this.drop_12 = new lib.litera2901201520365655();
	this.drop_12.setTransform(1119.2,87.1);

	this.drop_7 = new lib.litera29012015203651219();
	this.drop_7.setTransform(1084.2,87.1);

	this.drop_30 = new lib.litera29012015203704368();
	this.drop_30.setTransform(1049.3,87.1);

	this.drop_1 = new lib.litera2901201520364758();
	this.drop_1.setTransform(1014.4,87.1);

	this.drop_29 = new lib.litera29012015203704368();
	this.drop_29.setTransform(979.5,87.1);

	this.drop_27 = new lib.litera29012015203702981();
	this.drop_27.setTransform(944.6,87.1);

	this.drop_5 = new lib.litera2901201520364758();
	this.drop_5.setTransform(660.9,393);

	this.drop_33 = new lib.litera29012015203704368();
	this.drop_33.setTransform(625.7,393);

	this.drop_9 = new lib.litera29012015203651219();
	this.drop_9.setTransform(591.1,393);

	this.drop_10 = new lib.litera29012015203654681();
	this.drop_10.setTransform(557,393);

	this.drop_13 = new lib.litera2901201520365655();
	this.drop_13.setTransform(521.4,393);

	this.drop_4 = new lib.litera2901201520364758();
	this.drop_4.setTransform(485.8,393);

	this.drop_23 = new lib.litera29012015203702278();
	this.drop_23.setTransform(451.7,393);

	this.drop_3 = new lib.litera2901201520364758();
	this.drop_3.setTransform(522.4,231.8);

	this.drop_31 = new lib.litera29012015203704368();
	this.drop_31.setTransform(487.1,231.8);

	this.drop_8 = new lib.litera29012015203651219();
	this.drop_8.setTransform(451.9,231.8);

	this.drop_18 = new lib.litera29012015203658831();
	this.drop_18.setTransform(416.7,231.8);

	this.drop_2 = new lib.litera2901201520364758();
	this.drop_2.setTransform(381.5,231.8);

	this.drop_14 = new lib.litera29012015203656740();
	this.drop_14.setTransform(346.3,231.8);

	this.drop_22 = new lib.litera29012015203701592();
	this.drop_22.setTransform(311.1,231.8);

	this.drop_26 = new lib.litera29012015203702981();
	this.drop_26.setTransform(618.1,70.6);

	this.drop_20 = new lib.litera29012015203700203();
	this.drop_20.setTransform(584.2,70.6);

	this.drop_16 = new lib.litera29012015203658128();
	this.drop_16.setTransform(549.2,70.6);

	this.drop_25 = new lib.litera29012015203702981();
	this.drop_25.setTransform(514.1,70.6);

	this.drop_19 = new lib.litera29012015203700203();
	this.drop_19.setTransform(479.2,70.6);

	this.drop_11 = new lib.litera2901201520365655();
	this.drop_11.setTransform(444.3,70.6);

	this.shape = new cjs.Shape();
	this.shape.graphics.lf(["#FFFDFF","#DCDCDE"],[0,1],-135.1,-5.8,135.2,5.8).s().p("A1+TUQDy0FiC0WQSnIbXmmnQkPTpCfUyQ05lk1UDwg");
	this.shape.setTransform(155.8,580.3);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("rgba(0,0,0,0.282)").s().p("A1vyzQTgGCV4n4QiKUREbUGQ2YkU1bFQQDb0+jRyfg");
	this.shape_1.setTransform(156.4,581.2);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape},{t:this.drop_11},{t:this.drop_19},{t:this.drop_25},{t:this.drop_16},{t:this.drop_20},{t:this.drop_26},{t:this.drop_22},{t:this.drop_14},{t:this.drop_2},{t:this.drop_18},{t:this.drop_8},{t:this.drop_31},{t:this.drop_3},{t:this.drop_23},{t:this.drop_4},{t:this.drop_13},{t:this.drop_10},{t:this.drop_9},{t:this.drop_33},{t:this.drop_5},{t:this.drop_27},{t:this.drop_29},{t:this.drop_1},{t:this.drop_30},{t:this.drop_7},{t:this.drop_12},{t:this.drop_15},{t:this.drop_21},{t:this.drop_32},{t:this.drop_17},{t:this.drop_6},{t:this.drop_24},{t:this.drop_28},{t:this.drag_11},{t:this.drag_19},{t:this.drag_25},{t:this.drag_16},{t:this.drag_20},{t:this.drag_26},{t:this.drag_22},{t:this.drag_14},{t:this.drag_1},{t:this.drag_18},{t:this.drag_7},{t:this.drag_29},{t:this.drag_2},{t:this.drag_23},{t:this.drag_4},{t:this.drag_13},{t:this.drag_10},{t:this.drag_8},{t:this.drag_30},{t:this.drag_5},{t:this.drag_27},{t:this.drag_32},{t:this.drag_3},{t:this.drag_33},{t:this.drag_9},{t:this.drag_12},{t:this.drag_15},{t:this.drag_21},{t:this.drag_31},{t:this.drag_17},{t:this.drag_6},{t:this.drag_24},{t:this.drag_28}]}).wait(1));

	// Layer 2
	this.instance = new lib.Bitmap1();
	this.instance.setTransform(215,46);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(15,46,1237,669.6);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(655,406,1237,669.6);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;